--Portal Helper
--Travis Davis
--Travisstorma - Eredar

--------------------
--OnEvent
--------------------
function PortalHelper_OnEvent(self,event,...)
	if event == "UNIT_SPELLCAST_SENT" then
		local _, b = ...
		if string.sub(b, 0, 7) == "Portal:" then
			local _,_,where = string.find(b, "Portal: (.+)")
			PortalHelper_Message("portal", where)
		elseif b == "Conjure Refreshment Table" then
			PortalHelper_Message("table")
		end
	end
end

--------------------
--Message handler
--------------------
function PortalHelper_Message(message, where)
	if IsControlKeyDown() then
		return
	end
	local group = PortalHelper_Group()
	if message == "portal" then
		text = "Creating a portal to " .. where .. ". Don't miss it!"
	elseif message == "table" then
		text = "Creating a mage table! Don't miss it!"
	end
	if group then
		SendChatMessage(text, group)
		print(group)
	end
end

--------------------
--Group option
--------------------
function PortalHelper_Group()
	local warn
	local raid = IsInRaid()
	local count = GetNumGroupMembers()
	if UnitIsGroupLeader("player") or UnitIsRaidOfficer("player") then
		warn = "RAID_WARNING"
	elseif raid then
		warn = "RAID"
	elseif count > 0 then
		warn = "PARTY"
	end
	return warn
end
	
--------------------
--Event Handling Frame
--------------------
local frame = CreateFrame("Frame")
frame:RegisterEvent("UNIT_SPELLCAST_SENT")
frame:SetScript("OnEvent", PortalHelper_OnEvent)